Subject: Re: Problem authenticating using WPA with bcm43xx-softmac

From: Larry Finger <[email-masked]>
Date: Wed, 07 Jun 2006 10:47:31 -0500

Johannes Berg wrote:
> 
> generic IE is what the wext is called, it is the IE that wpa_supplicant
> sets. Not sure what's going on though, I know next to nothing about wpa.

I have a little more information on what is happening. In IEEE Std 802.11i-2004, which defines the 
WPA protocol, Figure 11a shows the sequence of exchanges needed to associate. Both bcm43xx-softmac 
and ndiswrapper go through the "Open System Authentication" process. Where they seem to diverge is 
in the STA's "Association Request (Security Parameters)" step. With ndiswrapper, the AP responds 
with a WPA EAPOL-Key message; whereas with softmac, the AP sends back the "invalid pairwise cipher 
message" and rejects the association.

Can anyone point to a reference that states what the content of the Association Request should be to 
get the AP to respond with the EAPOL-Key message? Unfortunately, I have no possibility of 
implementing a sniffer to see what a "correct" message contains.

Larry